package client;

public class Settings {

	/**
	 * FULL_SCREEN does exactly what you think it does.
	 */
	public static final boolean FULL_SCREEN = false;
	
	/**
	 * Enabling PERFORMANCE_MODE will decrease overhead by lowering game aesthetics.
	 */
	public static final boolean PERFORMANCE_MODE = !FULL_SCREEN;
	
	/**
	 * Setting this value too low will cause a lot of overhead.
	 * Setting this value too high will make entities to not be displayed fast enough.
	 * By default, this value is 6000, but can be adjusted to suit game needs.
	 */
	public static final int ENTITY_VISIBILITY_UPDATE_DELAY = 6000;//PERFORMANCE_MODE ? 5000 : 1000;
	
}
